# -*- coding: utf-8 -*-
"""
    KPortageTray - A set of basic operations for Portage.
    
    Copyright (C) 2010  Ronan Arraes Jardim Chagas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 3 as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 """

##\file KPT_dbus.py
##\brief DBUS interface.
## Class to handle things related to DBUS.
##\author Ronan Arraes Jardim Chagas

"""
Imports
"""
import dbus

class KPT_dbus:
	"""
	Class to interface with DBUS.
	"""

	## KPT_dbus constructor.
	def __init__(self):
		# Object to handle notify events.
		self._notify = dbus.SessionBus().get_object('org.kde.VisualNotifications', '/VisualNotifications')

	## Send a notify.
	def notify(self, message, title='', icon='services', timeout=0):
		self._notify.Notify("KPortageTray", dbus.UInt32(), '',icon, title, "<HTML></BODY>"+message+"<BR></BODY></HTML>", dbus.Array(signature='s'), dbus.Dictionary(signature='sv'), timeout)
