#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
    KPortageTray - A set of basic operations for Portage.
    
    Copyright (C) 2010  Ronan Arraes Jardim Chagas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 3 as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 """

##\file KPT_PortageTray.py
##\brief Main file.
## Main file of KPortageTray, where all the initialization is done.
##\author Ronan Arraes Jardim Chagas

##
# Imports
##
import sys
import os
from PyQt4 import QtGui, QtCore
from PyKDE4.kdecore import ki18n, i18n, KCmdLineArgs, KAboutData
from PyKDE4.kdeui import KApplication, KXmlGuiWindow, KStandardAction, KAction, KIcon

# Local imports
from KPT_Definitions import *
from KPT_MainWindow import *

# Installation dir.
#KPORTAGETRAY_INSTALLDIR = "/usr/share/apps/KPortageTray/"

##
# Main
##
if __name__ == "__main__":
	# Application's information.
	appName     = "KPortageTray"
	catalog     = ""
	programName = ki18n("KPortageTray")
	version     = "0.1"
	description = ki18n("A set of basic operations for Portage.")
	license     = KAboutData.License_GPL_V3
	copyright   = ki18n("(c) 2010 Ronan Arraes Jardim Chagas")
	text        = ki18n("This application contains a set of basic operations to make Portage's simple tasks easier.")
	homePage    = ""
	bugEmail    = "ronisbr@gmail.com"

	aboutData = KAboutData(appName, catalog, programName, version, description,
		license, copyright, text, homePage, bugEmail)
	aboutData.addAuthor(ki18n("Ronan Arraes Jardim Chagas"), ki18n("Developer"),
		"ronisbr@gmail.com",
		"")
	aboutData.setProgramLogo(QtGui.QImage(KPORTAGETRAY_INSTALLDIR+"/images/gentoo.png"))

	# Initializing.
	KCmdLineArgs.init(sys.argv, aboutData)
	KPortageTray_App = KApplication() 
	KPortageTray_MainWindow = KPT_MainWindow()
	KPortageTray_MainWindow.setAboutData(aboutData)
	# Start minimize.
	KPortageTray_MainWindow.hide()
	sys.exit(KPortageTray_App.exec_())
