#!/bin/bash
# checkUpgrades.sh KPortageTray
# Copyright 2010 Ronan Arraes Jardim Chagas; Distributed under GPL v3
#
# Script to check if there are upgrades available.
# It checks by a emerge -pNDu world and returns:
# -1: If there is some problem (like a Block)
# The number of available updates: Otherwise

#
# Variables
#
EMERGE_COMMAND="emerge -pNDu world"

#
# Script
#

if [ -z "$1" ];
then
	echo "Usage: $0 <TMP_FILE>"
	exit
fi

TMP_FILE=$1

# Put the information of ${EMERGE_COMMAND} at the temp file.
${EMERGE_COMMAND} > ${TMP_FILE} 2>&1

# Remove the head lines.
sed -i '/These are the packages that would be merged, in order:/d' ${TMP_FILE}
sed -i '/Calculating dependencies/d' ${TMP_FILE}
# Remove blanck lines.
sed -i '/^$/d' ${TMP_FILE}


# Verify if there is some Block.
if [ -n "`cat ${TMP_FILE} | grep 'blocks B'`" ];
then
	echo -1
	cat ${TMP_FILE} 2>&1
else
	# Count the number of updates.
	echo `cat ${TMP_FILE} | grep '\[ebuild' | wc -l`
	# Return the packages that will be updates and all the output text.
	cat ${TMP_FILE}
fi

# Clean up
rm ${TMP_FILE}
